   DIM HexChC$

   DIM iG
   DIM AddrStrG$

   DIM jG
   DIM CodeG

   HexChC$ = "0123456789ABCDEF"

   PRINT "        0123456789ABCDEF"
   PRINT "        ----------------"

   '----- LOOP 1
   FOR iG = 0 TO 15
      '----- Line address (in decimal) and in hexa
      AddrStrG$ = MID$(STR$(iG * 16), 2)
      WHILE LEN(AddrStrG$) < 3:  AddrStrG$ = " " + AddrStrG$:  WEND
      PRINT "("; AddrStrG$; ")";

      PRINT MID$(HexChC$, iG + 1, 1); "0>";

      '----- LOOP 2
      FOR jG = 0 TO 15
         CodeG = iG * 16 + jG

         '----- Print char  ( Ignoring problem chars )
         SELECT CASE CodeG
            CASE 0, 7, 9, 10, 11, 12, 13
               PRINT "-";
            CASE 29, 30, 31
               PRINT "-";
            CASE ELSE
               PRINT CHR$(CodeG);
         END SELECT
      NEXT

      PRINT
   NEXT
